import * as plugins from '../plugins.js';
import * as appstate from '../appstate.js';
import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
export declare class ObViewDashboard extends DeesElement {
    accessor systemState: appstate.ISystemState;
    accessor servicesState: appstate.IServicesState;
    accessor networkState: appstate.INetworkState;
    constructor();
    static styles: plugins.deesElement.CSSResult[];
    connectedCallback(): Promise<void>;
    render(): TemplateResult;
    private handleQuickAction;
    private handlePlatformServiceClick;
}
